.hero {
  width: 100%;
  background-color: var(--main);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  overflow: hidden;
}

.hero-top {
  width: 100%;
  padding: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  color: var(--contrary);
  /* border-bottom: 1px solid rgb(221, 221, 221); */
}
.hero-bottom {
  width: 100%;
  display: flex;
  font-size: 24px;
}
.hero-left {
  display: flex;
  justify-content: center;
  flex-direction: column;
  /* background-color: var(--green-text); */
  gap: 2rem;
  padding-left: 2rem;
  align-items: center;
  font-size: 24px;
}
.hero-left > div{
  display: flex;
  gap: 1rem;
  align-self: flex-end;
}
.hero-left h2{
  font-weight: 900;
  /* font-style: italic; */
  font-size: 50px;
  line-height: 100%;
}
.hero-left p{
  font-weight: 200;
  /* font-style: italic; */
  font-size: 20px;
  line-height: 110%;
}

.carousel {
  flex-grow: 1;
  height: fit-content;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1px;
}
.carousel-item {
  width: 250px;
  height: 520px;
  background-position: center;
  background-size: auto 145%;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 24px;
  transition: 0.6s;
  overflow: hidden;
  position: relative;
}
.carousel-item:hover {
  width: 500px;
  background-size: auto 155%;
}

.carousel-item:hover .overlay {
  background-image: linear-gradient(0, rgba(0, 0, 0, 0.555), rgba(0, 0, 0, 0));
}

.carousel-item:hover .overlay {
  background-image: linear-gradient(0, rgba(0, 0, 0, 0.555), rgba(0, 0, 0, 0));
}
.carousel-item:hover .carousel-item-text {
  opacity: 1;
  transform: translateY(0px);
  scale: 1;
}

.carousel-item-text {
  transform: translateY(20px);
  scale: 0.9;
  min-width: 350px;
  width: 350px;
  height: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 10px;
  gap: 1rem;
  opacity: 0;
  font-weight: bold;
  transition:
    opacity 0.4s,
    transform 0.4s,
    scale 0.4s;
}
.carousel-item-text img {
  width: 170px;
  mix-blend-mode: lighten;
}

.carousel-item-text p {
  color: var(--main);
  text-align: center;
  font-size: large;
}

.carousel-button {
  padding: 2px 0 2px 30px;
  font-size: 15px;
  background-color: var(--main);
  font-weight: semi-bold;
  color: var(--contrary);
  height: 50px;
  display: flex;
  align-items: center;
  border-radius: 30px;
  gap: 7px;
  cursor: pointer;
  transition: padding 0.4s, letter-spacing 0.4s;
}
.carousel-button:hover {
  padding: 2px 2px 2px 30px;
  letter-spacing: 2px;
}
.carousel-button .arrow {
  display: flex;
  height: 50px;
  width: 50px;
  background-color: var(--green-text);
  color: var(--main);
  justify-content: flex-start;
  align-items: center;
  border-radius: 999px;
  transition: transform 0.4s;
  padding-left: 0;
}

.carousel-button .arrow .arrow-icon {
  width: 34px;
  height: auto;
  display: block;
  transform: translateX(-2px);
}
.carousel-button:hover .arrow {
  transform: translateX(20px);
}

.carousel-dot {
  position: absolute;
  width: 13px;
  height: 13px;
  background-color: var(--green-text);
  border-radius: 100%;
  display: flex;
  align-items: center;
  border: 2px solid var(--main);
  justify-content: center;
  transition:
    transform 0.1s,
    opacity 0.3s,
    scale 0.5s;
}
.carousel-item:hover .carousel-dot {
  opacity: 0;
}
